t = int(input())
for _ in range(t):
    n = int(input())
    r, b = [], []
    for _ in range(n):
        x, m, c = input().split()
        x = int(x)
        m = int(m)
        (r if c == 'R' else b).append((x, m))
    r.sort(reverse=True)
    b.sort(reverse=True)
    ri, bi = 0, 0
    bd, rd = False, False
    s = 0
    while ri < len(r) and bi < len(b):
        c = min(r[ri][1], b[bi][1])
        s += c * (r[ri][0] - b[bi][0])
        if s <= -2: bd = True
        if s >= 1: rd = True
        r[ri] = (r[ri][0], r[ri][1] - c)
        b[bi] = (b[bi][0], b[bi][1] - c)
        if r[ri][1] == 0: ri += 1
        if b[bi][1] == 0: bi += 1
    if ri == len(r):
        if bi == len(b):
            print(f"Draw {r[0][0]} +")
        else:
            if rd:
                print(f"Draw {r[0][0]} +")
            else:
                print("Second")
    else:
        if bd:
            print(f"Draw {r[0][0]} +")
        else:
            print(f"First {r[0][0]} +")
